/*Clase Racional
*/
class Racional{
  int num,den;
public:
  Racional(){num = 0;den = 1;};
  Racional(int a){num = a;den = 1;};
  Racional(int a,int b){num = a;den = b;};
  void Racional::aRacional(double x);
  double Racional::aFlotante();
  Racional operator+(Racional a);
  Racional operator-(Racional a);
  Racional operator*(Racional a);
  Racional operator/(Racional a);
  Racional operator^(int n);
  bool operator==(Racional a);
  bool operator!=(Racional a);
  bool operator>=(Racional a);
  bool operator<=(Racional a);
  bool operator>(Racional a);
  bool operator<(Racional a);
  Racional operator++();//prefijos
  Racional operator--();
  Racional operator++(int);//posfijos
  Racional operator--(int);
  void simplifica();
  void escribe();
};



